package com.yc.education.service.impl;/**
 * huangpan
 * 2019/10/14
 * energy
 */

import com.yc.education.mapper.ContactclassifyMapper;
import com.yc.education.model.Contactclassify;
import com.yc.education.model.Contactus;
import com.yc.education.service.ContactclassifyService;
import com.yc.education.service.ContacusService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 *@ClassName ContactClassServiceImpl
 *@Description TODO
 *@Author QuZhangJing
 *@Date 2019/10/14 17:08
 *@Version 1.0
 */
@Service
public class ContactClassServiceImpl extends BaseService<Contactclassify> implements ContactclassifyService {
    @Autowired
    ContactclassifyMapper contactclassifyMapper;

    @Override
    public List<Contactclassify> getCclassify() {
        return contactclassifyMapper.getCclassify();
    }

    @Override
    public Contactclassify getContactclassifyById(Integer id) {
        return contactclassifyMapper.getContactclassifyById(id);
    }

    @Override
    public void delContactclassifyById(Integer id) {
    contactclassifyMapper.deleteByPrimaryKey(id);
    }
}
